<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClickServersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('click_servers', function (Blueprint $table) {
            $table->increments('id');
            $table->string('friendly_name');
            $table->ipAddress('public_ip_address');
            $table->ipAddress('private_ip_address');
            $table->string('main_use');
            $table->string('remarks');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('click_servers');
    }
}
